Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class MutableDataElementSupport

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport

All Implemented Interfaces:
  DataElement, MutableDataElement

Direct Known Subclasses:
  BaseSupport, DiagramElement, KineticType, LiteratureReference, Plot, RelationType, Species, Unit, Variable

public abstract class MutableDataElementSupport
extends com.beanexplorer.beans.Option
implements MutableDataElement

Field Summary
`protected java.lang.String` | `name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`MutableDataElementSupport(java.lang.String name, DataCollection origin)`

Method Summary
`java.lang.String` | `getName()` Returns a unique name of the data element.
`DataCollection` | `getOrigin()` Returns the collection this element belongs to.
`java.lang.String` | `toString()`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### name

    protected java.lang.String name

Constructor Detail

### MutableDataElementSupport

    public MutableDataElementSupport(java.lang.String name,
                                     DataCollection origin)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `DataElement`
  Returns a unique name of the data element.

  Specified by:
    `getName` in interface `DataElement`
  Returns:
    A unique name of the data element.

### getOrigin

    public DataCollection getOrigin()

  Description copied from interface: `DataElement`
  Returns the collection this element belongs to. Since the element can be contained in several collections this should return application-specific main parent collection.

  Specified by:
    `getOrigin` in interface `DataElement`
  See Also:
    `DataCollection`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.